MRE3 C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MrEModuleSdk.Devices.SdkInterfaces.IMiscellaneousFeatures Interface Reference
Inheritance diagram for MrEModuleSdk.Devices.SdkInterfaces.IMiscellaneousFeatures:

## Public Member Functions
bool | GetFrontEndPowerState ()
| Setting of FrontEnd power supply state.
void | SetFrontEndPowerState (bool value)
| Setting of FrontEnd power supply state.
float | GetFrontEndVoltage ()
| Setting of FrontEnd supply voltage [V].
void | SetFrontEndVoltage (float value)
| Setting of FrontEnd supply voltage [V].
int | GetOutputStagePWMFrequency ()
| Setting of PWM frequency [400, 500, 600, 1000 and 1200 kHz].
void | SetOutputStagePWMFrequency (int value)
| Setting of PWM frequency [400, 500, 600, 1000 and 1200 kHz].
bool | IsOutputStageEnabled (EAxis axis)
| Setting of output stage state on axis.
void | EnableOutputStage (bool enable, EAxis axis)
| Setting of output stage state on axis.
float | GetADCI (EAxis axis)
| Reading of current on axis.
float | GetADCV (EAxis axis)
| Reading of voltage on axis.
int | GetDevPower (EAxis axis)
| Setting 3v3 for device on axis.
void | SetDevPower (int value, EAxis axis)
| Setting 3v3 for device on axis.
float | GetUin ()
| Reading input voltage.
float | GetIin ()
| Reading input current.
float | GetUfe ()
| Reading FE voltage.
float | GetAnalogInput (EAxis axis)
| Reading of analog input on axis.
float | GetPinAverage ()
| Reading average input power (integration time = 1 second)
EOperationMode | GetOperationMode ()
| Configures both channels of driver into specific mode: 0 - Open loop, 1 - Close loop Optical Feedback, 2 - Close loop XY, 3 - Resonant mirror mode.
void | SetOperationMode (EOperationMode value)
| Configures both channels of driver into specific mode: 0 - Open loop, 1 - Close loop Optical Feedback, 2 - Close loop XY, 3 - Resonant mirror mode.
int | GetWcState ()
| Reading returns WC state.
void | SetWcState (int state)
| Writing sets state of WC output signal.
void | SetGpioState (int value)
| Sets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.
int | GetGPIOState ()
| Gets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.
void | SetGpioDirection (int value)
| Set direction of GPIO pins(bitwise; 0=INPUT, 1=OUTPUT) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.
int | GetGPIODirection ()
| Get direction of GPIO pins(bitwise; 0=INPUT, 1=OUTPUT) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.

## Member Function Documentation

## ◆ EnableOutputStage()

void MrEModuleSdk.Devices.SdkInterfaces.IMiscellaneousFeatures.EnableOutputStage | ( | bool | enable,
|  | EAxis | axis )

Setting of output stage state on axis.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ GetADCI()

float MrEModuleSdk.Devices.SdkInterfaces.IMiscellaneousFeatures.GetADCI | ( | EAxis | axis | ) |

Reading of current on axis.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ GetADCV()

float MrEModuleSdk.Devices.SdkInterfaces.IMiscellaneousFeatures.GetADCV | ( | EAxis | axis | ) |

Reading of voltage on axis.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ GetAnalogInput()

float MrEModuleSdk.Devices.SdkInterfaces.IMiscellaneousFeatures.GetAnalogInput | ( | EAxis | axis | ) |

Reading of analog input on axis.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ GetDevPower()

int MrEModuleSdk.Devices.SdkInterfaces.IMiscellaneousFeatures.GetDevPower | ( | EAxis | axis | ) |

Setting 3v3 for device on axis.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ GetFrontEndPowerState()

bool MrEModuleSdk.Devices.SdkInterfaces.IMiscellaneousFeatures.GetFrontEndPowerState | ( |  | ) |

Setting of FrontEnd power supply state.

Returns
  true/false

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ GetFrontEndVoltage()

float MrEModuleSdk.Devices.SdkInterfaces.IMiscellaneousFeatures.GetFrontEndVoltage | ( |  | ) |

Setting of FrontEnd supply voltage [V].

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ GetGPIODirection()

int MrEModuleSdk.Devices.SdkInterfaces.IMiscellaneousFeatures.GetGPIODirection | ( |  | ) |

Get direction of GPIO pins(bitwise; 0=INPUT, 1=OUTPUT) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ GetGPIOState()

int MrEModuleSdk.Devices.SdkInterfaces.IMiscellaneousFeatures.GetGPIOState | ( |  | ) |

Gets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ GetIin()

float MrEModuleSdk.Devices.SdkInterfaces.IMiscellaneousFeatures.GetIin | ( |  | ) |

Reading input current.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ GetOperationMode()

EOperationMode MrEModuleSdk.Devices.SdkInterfaces.IMiscellaneousFeatures.GetOperationMode | ( |  | ) |

Configures both channels of driver into specific mode: 0 - Open loop, 1 - Close loop Optical Feedback, 2 - Close loop XY, 3 - Resonant mirror mode.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ GetOutputStagePWMFrequency()

int MrEModuleSdk.Devices.SdkInterfaces.IMiscellaneousFeatures.GetOutputStagePWMFrequency | ( |  | ) |

Setting of PWM frequency [400, 500, 600, 1000 and 1200 kHz].

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ GetPinAverage()

float MrEModuleSdk.Devices.SdkInterfaces.IMiscellaneousFeatures.GetPinAverage | ( |  | ) |

Reading average input power (integration time = 1 second)

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ GetUfe()

float MrEModuleSdk.Devices.SdkInterfaces.IMiscellaneousFeatures.GetUfe | ( |  | ) |

Reading FE voltage.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ GetUin()

float MrEModuleSdk.Devices.SdkInterfaces.IMiscellaneousFeatures.GetUin | ( |  | ) |

Reading input voltage.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ GetWcState()

int MrEModuleSdk.Devices.SdkInterfaces.IMiscellaneousFeatures.GetWcState | ( |  | ) |

Reading returns WC state.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ IsOutputStageEnabled()

bool MrEModuleSdk.Devices.SdkInterfaces.IMiscellaneousFeatures.IsOutputStageEnabled | ( | EAxis | axis | ) |

Setting of output stage state on axis.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ SetDevPower()

void MrEModuleSdk.Devices.SdkInterfaces.IMiscellaneousFeatures.SetDevPower | ( | int | value,
|  | EAxis | axis )

Setting 3v3 for device on axis.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ SetFrontEndPowerState()

void MrEModuleSdk.Devices.SdkInterfaces.IMiscellaneousFeatures.SetFrontEndPowerState | ( | bool | value | ) |

Setting of FrontEnd power supply state.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ SetFrontEndVoltage()

void MrEModuleSdk.Devices.SdkInterfaces.IMiscellaneousFeatures.SetFrontEndVoltage | ( | float | value | ) |

Setting of FrontEnd supply voltage [V].

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ SetGpioDirection()

void MrEModuleSdk.Devices.SdkInterfaces.IMiscellaneousFeatures.SetGpioDirection | ( | int | value | ) |

Set direction of GPIO pins(bitwise; 0=INPUT, 1=OUTPUT) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ SetGpioState()

void MrEModuleSdk.Devices.SdkInterfaces.IMiscellaneousFeatures.SetGpioState | ( | int | value | ) |

Sets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ SetOperationMode()

void MrEModuleSdk.Devices.SdkInterfaces.IMiscellaneousFeatures.SetOperationMode | ( | EOperationMode | value | ) |

Configures both channels of driver into specific mode: 0 - Open loop, 1 - Close loop Optical Feedback, 2 - Close loop XY, 3 - Resonant mirror mode.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ SetOutputStagePWMFrequency()

void MrEModuleSdk.Devices.SdkInterfaces.IMiscellaneousFeatures.SetOutputStagePWMFrequency | ( | int | value | ) |

Setting of PWM frequency [400, 500, 600, 1000 and 1200 kHz].

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ SetWcState()

void MrEModuleSdk.Devices.SdkInterfaces.IMiscellaneousFeatures.SetWcState | ( | int | state | ) |

Writing sets state of WC output signal.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

The documentation for this interface was generated from the following file:

- C:/Users/jan.janda/Desktop/Mre3Documentation/IMiscellaneousFeatures.cs